<!-- betslip -->
<div class="show-betslip-header" *ngIf="betslip.length">
  <div (click)="toggle(target)" class="betslip-show">
    <i class="fa fa-calculator" aria-hidden="true"></i>&nbsp;&nbsp;
    {{ "betslip.betslip" | translate }} ({{ betcount }})
    <i
      class="fa fa-plus-circle pull-right"
      aria-hidden="true"
      style="margin-top: 4px"
      *ngIf="!display"
    ></i
    ><i
      class="fa fa-minus-circle pull-right"
      aria-hidden="true"
      style="margin-top: 4px"
      *ngIf="display"
    ></i>
  </div>

  <div class="betslip" id="betslip" *ngIf="display">
    <div class="betslip-body" [ngClass]="{ scroll: betslip.length > 3 }">
      <!-- betslip -->
      <ng-container *ngIf="betslip_flag">
        <span class="text-danger bet-error" *ngIf="maximumBets">{{
          "betslip-select.maximum-bets" | translate
        }}</span>
        <span>{{ sliptype }}</span>
        <ul class="list-unstyled">
          <li *ngFor="let game of betslip; let i = index">
            <div class="betslip-row">
              <div class="team-detail">
                <div>
                  <span>{{ game.home }} vs {{ game.away }}</span>
                </div>
                <div (click)="removeSlip(game.id)">
                  <i class="fa fa-times" aria-hidden="true"></i>
                </div>
              </div>
              <div class="market">{{ game.selected_market }}</div>
              <div class="your-pick">
                <ng-container
                  *ngFor="
                    let odd_values of game.markets[game.selected_market];
                    let x = index
                  "
                >
                  <div
                    *ngIf="
                      odd_values.sr_outcome_id == game.selected_outcome &&
                      translate.currentLang == 'en'
                    "
                  >
                    {{ "betslip.pick" | translate }}:
                    <span>{{ odd_values.name }}</span>
                  </div>
                  <div
                    *ngIf="
                      odd_values.sr_outcome_id == game.selected_outcome &&
                      translate.currentLang == 'fr'
                    "
                  >
                    {{ "betslip.pick" | translate }}:
                    <span>{{ odd_values.fr_name }}</span>
                  </div>
                </ng-container>
                <div></div>
                <ng-container
                  *ngFor="
                    let odd_values of game.markets[game.selected_market];
                    let x = index
                  "
                >
                  <div
                    *ngIf="odd_values.sr_outcome_id == game.selected_outcome"
                    [ngClass]="{ 'text-danger': oddschange }"
                  >
                    {{ odd_values.odds | number : "1.2-2" }}
                  </div>
                </ng-container>
              </div>
            </div>
          </li>
        </ul>
      </ng-container>
      <!-- autobet -->
      <ng-container *ngIf="autobet_flag">
        <span class="text-danger bet-error" *ngIf="maximumBets">{{
          "betslip-select.maximum-bets" | translate
        }}</span>
        <span>{{ sliptype }}</span>
        <ul class="list-unstyled">
          <li *ngFor="let game of betslip; let i = index">
            <div class="betslip-row">
              <div class="team-detail">
                <div>
                  <span>{{ game.name }}</span>
                </div>
                <div (click)="autobetRemoveSlip(game.match_id)">
                  <i class="fa fa-times" aria-hidden="true"></i>
                </div>
              </div>
              <div class="your-pick">
                <ng-container
                  *ngFor="
                    let odd_values of game.markets[game.selected_market];
                    let x = index
                  "
                >
                  <!-- <div *ngIf="odd_values.sr_outcome_id == game.selected_outcome">
                                        {{ 'betslip.pick' | translate }}: <span>{{ odd_values.name }}</span>
                                    </div> -->
                  <div
                    *ngIf="
                      odd_values.sr_outcome_id == game.selected_outcome &&
                      translate.currentLang == 'en'
                    "
                  >
                    {{ "betslip.pick" | translate }}:
                    <span>{{ odd_values.name }}</span>
                  </div>
                  <div
                    *ngIf="
                      odd_values.sr_outcome_id == game.selected_outcome &&
                      translate.currentLang == 'fr'
                    "
                  >
                    {{ "betslip.pick" | translate }}:
                    <span>{{ odd_values.fr_name }}</span>
                  </div>
                </ng-container>
              </div>
            </div>
          </li>
        </ul>
      </ng-container>
      <!-- jackpot -->
      <ng-container *ngIf="jackpot_flag">
        <span class="text-danger bet-error" *ngIf="maximumBets">{{
          "betslip-select.maximum-bets" | translate
        }}</span>
        <span>{{ sliptype }}</span>
        <ul class="list-unstyled">
          <li *ngFor="let game of betslip; let i = index">
            <div class="betslip-row">
              <div class="team-detail">
                <div>
                  <span>{{ game.name }}</span>
                </div>
                <div (click)="jackpotRemoveSlip(game.match_id)">
                  <i class="fa fa-times" aria-hidden="true"></i>
                </div>
              </div>
              <div class="your-pick">
                <ng-container
                  *ngFor="
                    let odd_values of game.markets[game.selected_market];
                    let x = index
                  "
                >
                  <div
                    *ngIf="odd_values.sr_outcome_id == game.selected_outcome"
                  >
                    {{ "betslip.pick" | translate }}:
                    <span>{{ odd_values.name }}</span>
                  </div>
                </ng-container>
              </div>
            </div>
          </li>
        </ul>
      </ng-container>
    </div>
    <div class="betslip-message">
      <div class="alert alert-success fade in" *ngIf="bet_success">
        <span
          ><b>{{ "betslip-select.bet-success" | translate }}</b></span
        >
      </div>
      <div class="alert alert-danger fade in" *ngIf="bet_error">
        <span
          ><b>{{ "betslip-select.bet-error" | translate }}</b></span
        >
      </div>
      <div class="alert alert-danger fade in" *ngIf="balanceerror">
        <span
          ><b>{{ "betslip-select.balance-error" | translate }}</b></span
        >
      </div>
      <div
        class="alert alert-danger fade in"
        *ngIf="oddschange || suspended_markets"
      >
        <span
          ><b>{{ "betslip-select.odds-change" | translate }}</b></span
        >
      </div>
      <div class="alert alert-danger fade in" *ngIf="betstop">
        <span
          ><b>{{ "betslip-select.betstop" | translate }}</b></span
        >
      </div>
      <div class="alert alert-danger fade in" *ngIf="betstop_all">
        <span
          ><b>{{ "betslip-select.betstop-all" | translate }}</b></span
        >
      </div>
      <div *ngIf="oddschange">
        <button class="btn btn-accept-odds" (click)="oddsChange()">
          {{ "betslip-select.accept-new-odds" | translate }}
        </button>
      </div>
      <div *ngIf="betstop || suspended_markets">
        <button class="btn btn-accept-odds" (click)="onBetstop()">
          {{ "betslip-select.accept-new-odds" | translate }}
        </button>
      </div>
      <div *ngIf="betstop_all || bet_error">
        <button class="btn btn-accept-odds" (click)="onBetstop()">
          {{ "betslip-select.clear-betslip" | translate }}
        </button>
      </div>
    </div>
    <div class="betslip-footer" *ngIf="betslip.length">
      <!-- <label>{{ 'betslip-select.your-stake' | translate }}</label> -->

      <ng-container *ngIf="betslip_flag">
        <div class="betslip-amount-buttons">
          <button
            type="button"
            class="btn btn-sm btn-primary plus-amount"
            id="1000"
            (click)="btnChange(1000)"
          >
            1000
          </button>
          <button
            type="button"
            class="btn btn-sm btn-primary plus-amount"
            id="2000"
            (click)="btnChange(2000)"
          >
            2000
          </button>
          <button
            type="button"
            class="btn btn-sm btn-primary plus-amount"
            id="5000"
            (click)="btnChange(5000)"
          >
            5000
          </button>
          <button
            type="button"
            class="btn btn-sm btn-primary plus-amount"
            id="10000"
            (click)="btnChange(10000)"
          >
            10000
          </button>
        </div>
      </ng-container>

      <div class="betslip-amount">
        <ng-container *ngIf="betslip_flag">
          <span class="text-danger bet-error" *ngIf="beterror">{{
            "betslip-select.minimum-bet-amount" | translate
          }}</span>
          <span class="text-danger bet-error" *ngIf="maxbeterror">{{
            "betslip-select.maximum-bet-amount" | translate
          }}</span>
          <input
            type="number"
            class="form-control"
            [(ngModel)]="amount"
            (ngModelChange)="valueChange($event)"
            name="amount"
            id="amount"
            value="1000"
            min="1000"
            max="10000000"
          />
        </ng-container>
        <ng-container *ngIf="autobet_flag">
          <span class="text-danger bet-error" *ngIf="autobeterror">{{
            "betslip-select.minimum-autobet-amount" | translate
          }}</span>
          <span class="text-danger bet-error" *ngIf="automaxbeterror">{{
            "betslip-select.maximum-bet-amount" | translate
          }}</span>
          <input
            type="number"
            class="form-control"
            [(ngModel)]="amount"
            (ngModelChange)="autoBetValueChange($event)"
            name="amount"
            id="amount"
            value="1000"
            min="1000"
            max="10000000"
          />
        </ng-container>
        <ng-container *ngIf="jackpot_flag">
          <span class="text-danger bet-error" *ngIf="jackpoterror">{{
            "betslip-select.minimum-jackpot-amount" | translate
          }}</span>
          <span class="text-danger bet-error" *ngIf="jackpotmaxbeterror">{{
            "betslip-select.maximum-bet-amount" | translate
          }}</span>
          <input
            type="number"
            class="form-control"
            [(ngModel)]="amount"
            (ngModelChange)="jackpotValueChange($event)"
            name="amount"
            id="amount"
            value="1000"
            min="1000"
            max="10000000"
          />
        </ng-container>
      </div>

      <ng-container *ngIf="betslip_flag">
        <div class="possible-win">
          <div class="total-odds">
            <span class="total-odds-title">{{
              "betslip-select.total-odds" | translate
            }}</span>
            <span class="total-odds-amount pull-right">{{ totalodds }}</span>
          </div>
          <div class="total-win">
            <span class="total-win-title">{{
              "betslip-select.possible-win" | translate
            }}</span>
            <span class="total-win-amount pull-right"
              >BIF {{ possiblewin }}</span
            >
          </div>
        </div>
      </ng-container>

      <ng-container *ngIf="jackpot_flag && betslip.length == 17">
        <div class="possible-win jackpot">
          <div class="total-win">
            <span class="total-win-title">{{
              "betslip-select.possible-win" | translate
            }}</span>
            <span class="total-win-amount pull-right">BIF 5,000,000</span>
          </div>
        </div>
      </ng-container>
      <ng-container *ngIf="autobet_flag && betslip.length == 13">
        <div class="possible-win jackpot">
          <div class="total-win">
            <span class="total-win-title">{{
              "betslip-select.possible-win" | translate
            }}</span>
            <span class="total-win-amount pull-right">BIF 1,000,000</span>
          </div>
        </div>
      </ng-container>
      <div class="possible-win">
        <div class="total-win">
          <button class="btn btn-print" (click)="generatePDF(bettype)">
            <i class="fa fa-print" aria-hidden="true"></i> &nbsp;&nbsp;
            {{ "betslip-select.print-betslip" | translate }}
          </button>
        </div>
      </div>
      <div class="betslip-actions">
        <button
          class="btn"
          *ngIf="loggedIn && betslip_flag"
          (click)="placeBetslip()"
          [ngClass]="{ disabled: beterror || maxbeterror || bet_delay }"
        >
          {{ "betslip-select.place-bet" | translate }}
        </button>

        <button
          class="btn"
          *ngIf="loggedIn && autobet_flag"
          (click)="autobetPlaceBetslip()"
          [ngClass]="{ disabled: betslip.length != 13 }"
        >
          {{ "betslip-select.place-autobet" | translate }}
        </button>

        <button
          class="btn"
          *ngIf="loggedIn && jackpot_flag"
          (click)="jackpotPlaceBetslip()"
          [ngClass]="{ disabled: betslip.length != 17 }"
        >
          {{ "betslip-select.place-jackpot" | translate }}
        </button>

        <button class="btn" *ngIf="!loggedIn" (click)="login()">
          {{ "betslip-select.login" | translate }}
        </button>
        <!-- autobet -->
        <button
          class="btn"
          [swal]="{
            title: 'Remove All',
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'remove all'
          }"
          (confirm)="autobetRemoveAll()"
          *ngIf="autobet_flag && translate.currentLang == 'en'"
        >
          {{ "betslip-select.remove-all" | translate }}
        </button>

        <button
          class="btn"
          [swal]="{
            title: 'Supprimer tout',
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            cancelButtonText: 'Quitter',
            confirmButtonText: 'Supprimer tout'
          }"
          (confirm)="autobetRemoveAll()"
          *ngIf="autobet_flag && translate.currentLang == 'fr'"
        >
          {{ "betslip-select.remove-all" | translate }}
        </button>
        <!-- betslip -->
        <button
          class="btn"
          [swal]="{
            title: 'Remove All',
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'remove all'
          }"
          (confirm)="removeAll()"
          *ngIf="betslip_flag && translate.currentLang == 'en'"
        >
          {{ "betslip-select.remove-all" | translate }}
        </button>

        <button
          class="btn"
          [swal]="{
            title: 'Supprimer tout',
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            cancelButtonText: 'Quitter',
            confirmButtonText: 'Supprimer tout'
          }"
          (confirm)="removeAll()"
          *ngIf="betslip_flag && translate.currentLang == 'fr'"
        >
          {{ "betslip-select.remove-all" | translate }}
        </button>
        <!-- jackpot -->
        <button
          class="btn"
          [swal]="{
            title: 'Remove All',
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'remove all'
          }"
          (confirm)="jackpotRemoveAll()"
          *ngIf="jackpot_flag && translate.currentLang == 'en'"
        >
          {{ "betslip-select.remove-all" | translate }}
        </button>

        <button
          class="btn"
          [swal]="{
            title: 'Supprimer tout',
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            cancelButtonText: 'Quitter',
            confirmButtonText: 'Supprimer tout'
          }"
          (confirm)="jackpotRemoveAll()"
          *ngIf="jackpot_flag && translate.currentLang == 'fr'"
        >
          {{ "betslip-select.remove-all" | translate }}
        </button>
      </div>
    </div>
    <div class="betslip-holder" *ngIf="!betslip.length">
      <p>{{ "betslip-select.empty-bet" | translate }}</p>
    </div>
  </div>
</div>
